Introduction

Navigation: »No topics above this level«

Introduction

 Return to chapter overview

Heavyload is inteded to stress all resources of a PC (like CPU, RAM, harddisk, network, operating system, etc.) in order to test, if it will run reliable under heavy load. This is useful for testing important file or database servers before using them productively, or just to check if your new PC might get too hot when used intensively.

To stress your PC or server, HeavyLoad writes a large test-file to the temp folder, it allocates physical and virtual memory and it draws patterns in its window.


Installation

Navigation: »No topics above this level«

Installation

 Return to chapter overview

Execute HeavyLoadSetup.exe and follow the instructions.

HeavyLoad can be uninstalled using the Software applet in the control panel.


Tips & Annotations

Navigation: »No topics above this level«

Tips & Annotations

 Return to chapter overview
· HeavyLoad uses our Freeware TreeSize Free in an infinite loop to produce additional activity. More infos about TreeSize at: http://www.jam-software.com/software.html

· When you've used HeavyLoad, memory will be fragmented and the swap file could become quite large. So you should restart Windows after using HeavyLoad.

· HeavyLoad is not finished after a certain time. You should run it as long as you want to test your PC or server, at least several hours.

· If HeavyLoad has not been terminated normally, e.g. because of an unstable PC or operating system, a large testfile may be left in one of your temp directories on your PC.


Changes

Navigation: »No topics above this level«

Changes

 Return to chapter overview

Version 2.4.1 (Dec 2009)

· Full support for Windows 7
· Some minor changes and improvements have been incorporated

Version 2.4 (Jun 2008)

· Now you can use multicore processors to full capacity
· Full support for Windows Server 2008
· Installer has been added
· Fix a problem if multiple instances of HeavyLoad are running
· Some minor changes and improvements have been incorporated

Version 2.3.1 (Jan 2008)

· Improved help functionality

Version 2.3 (Apr 2007)

· Full support for Windows Vista
· Added a test runtime timer
· Some minor changes and improvements have been incorporated

Version 2.2 (Jan 2007)

· Solved a problem with Windows Vista
· Some minor changes and improvements have been incorporated

Version 2.1 (Feb 2006)

· Name of the test procedure, CPU usage and free memory displayed in statusbar
· Program starts centered, screen layout modified

Version 2.0 (Dec 2002)

· Added chart
· Added toolbar and about dialog
· Possibilty to select test procedures individually
· Sreensaver and power saving are disabled during the test

Version 1.0 (Jan 1999)

· First public release


Copyright & Contact

Navigation: »No topics above this level«

Copyright & Contact

 Return to chapter overview

HeavyLoad is FREEWARE, which means you can use it without charge and distribute the complete archive. If you decide to use it, you must send us an e-mail or a postcard. Please include the version number of your copy, where you've found it and problems or errors if you had some.

Copyright ©1996-2009 by Joachim Marder e.K.

CONTACT

JAM Software GmbH

Geschäftsführer : Joachim Marder

Max-Planck-Str. 22

54296 Trier

Germany

E-Mail : freeware@jam-software.com

WWW : http://www.jam-software.com